PostgresSQL / pgAdmin4 / dump服务器版本不匹配[英] PostgresSQL / pgAdmin4 / dump server version mismatch

本文是小编为大家收集整理的关于PostgresSQL / pgAdmin4 / dump服务器版本不匹配的处理方法,想解了PostgresSQL / pgAdmin4 / dump服务器版本不匹配的问题怎么解决?PostgresSQL / pgAdmin4 / dump服务器版本不匹配问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我试图在pgadmin4中使用Postgres 11.1进行备份,但失败了. pgadmin显示了一个带有

的窗口

状态:失败(退出代码:1).

pg_dump:服务器版本:11.1; pg_dump:10.5

pg_dump:由于服务器不匹配而流产

我不太了解. PGADMIN4是否不知道我正在使用11.1而不是10.5?

解决问题 - 在我的情况下.

转到

pgadmin

自动设置为$DIR/../runtime

的PostgreSQL二进制路径

我更改了安装的PostgreSQL版本C:\Program Files\PostgreSQL\11\bin

的路径

推荐答案

您的PGADMIN使用PostGressQL客户端V10,但您的服务器是V11.

由于v10不知道如何正确倾倒V11数据库,因此拒绝尝试.

使用PGADMIN的最新版本!

本文地址:https://www.itbaoku.cn/post/1763849.html